package com.emr.service.templateSearch;

import com.emr.entity.templateSearch.Emr_Customize;
import com.emr.entity.templateSearch.Emr_Modle;
import org.springframework.ui.Model;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2019/5/21 17:12
 * @UpdateUser: 曾文和
 * @UpdateDate: 2019/5/21 17:12
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
public interface TemplateSearchService {
    int addTemplate(Emr_Customize record, HttpServletRequest request);

    void updateTemplate(Emr_Customize record,HttpServletRequest request);

    void deleteTemplate(Integer id);

    void updateTemplateSelect(Emr_Modle emrModle,HttpServletRequest request);

    int addTemplateSelect(Emr_Modle emrModle,HttpServletRequest request);

    void updateTemplateSelect(Emr_Modle emrModle,Integer selectFlagId,HttpServletRequest request);

    void deleteTemplateSelect(Integer id);
    /**
     * 保存模板关联
     * */
    void addModleRelated(Integer modleId,String checks,HttpServletRequest request);

    void movePdf(String oldFile, String newFile) throws IOException;
}
